Bug 461491 - Review Request: xosview - OS resource viewer
Review Request: xosview - OS resource viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 434906 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 11:10 EDT by Terje Røsten
Modified: 2008-09-11 18:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 14:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-09-08 11:10:33 EDT
spec: http://terjeros.fedorapeople.org/xosview/xosview.spec
srpm: http://koji.fedoraproject.org/koji/getfile?taskID=813531&name=xosview-1.8.3-12.20080301cvs.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=813530

Description: 
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.
Comment 1 Terje Røsten 2008-09-08 11:12:58 EDT
*** Bug 434906 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2008-09-08 12:54:32 EDT
For 1.8.3-12.cvs:

* License
  - The license tag should be "GPL+". As far as I checked the
    whole codes I cannot find any notes which specifies the version
    to be "2 and any later".
    ! Note: If only GPLv2 text is put in, we interpret it as "GPL at
      any version" because of the section 9.

* Desktop file
  - "Terminal" value must be "false", not "0" (well, desktop-file-install
     warned this before, however current one does not...)
  http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#value-types

Other things are okay
-------------------------------------------------------------
      This package (xosview) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 3 Terje Røsten 2008-09-08 13:21:24 EDT
Thanks!



New Package CVS Request
=======================
Package Name: xosview
Short Description: OS resource viewer 
Owners: terjeros
Branches: F-8 F-9
InitialCC:
Comment 4 Kevin Fenzi 2008-09-09 21:05:19 EDT
cvs done.
Comment 5 Terje Røsten 2008-09-11 14:09:53 EDT
Pending in bodhi for F-8 and F-9.
Comment 6 Dr. Gregory R. Kriehn 2008-09-11 18:21:35 EDT
Ok, so I dropped the ball a while back on this (see the duplicate bug report) since my father ended up having to have emergency open-heart surgery, along with a million other things hitting at the same time...

...so thank you for picking this back up and pushing it through.  I seem to have time for general package management and RPM development, but it looks like the hardcore spec and code reviews that the Fedora process requires are a bit more of a time investment then I am generally going to be able to provide.

So I'm glad that I was able to help push xosview back into Fedora, and am glad that it now has a proper maintainer.

Greg

Note You need to log in before you can comment on or make changes to this bug.